package mario;

public class Brick extends WorldObject {

  public Brick(int x, int y, float vx, float vy) {
    this.fx = this.x = x;
    this.fy = this.y = y;
    this.vx = vx;
    this.vy = vy;
  }

  public void update() {
    fx += vx;
    x = (int)fx;
    vy += G;
    fy += vy;
    if (fy > 512) {
      remove = true;
    }
    y = (int)fy;
  }

  public void render() {
    g.setColor(Palette.STONES[playingMode.stoneIndex]);
    g.translate(x - playingMode.cameraX, y);
    g.drawRect(0, 0, 15, 15);
    g.translate(playingMode.cameraX - x, -y);
  }
}
