package mario;

import java.awt.*;

public class Flag extends WorldObject {

  public Flag(int mapX) {
    fx = x = (mapX << 5) - 16;
    fy = y = 98;
    playingMode.flag = this;
  }

  public void update() {
  }

  public void render() {
    g.setColor(Color.WHITE);
    g.translate(x - playingMode.cameraX, y);
    g.drawLine(0, 0, 31, 31);
    g.drawLine(31, 0, 31, 31);
    g.drawLine(0, 0, 31, 0);
    g.translate(playingMode.cameraX - x, -y);

    if (playingMode.flagPoints != null) {
      Text.drawString(x + 40 - playingMode.cameraX, 448 - y,
          playingMode.flagPoints, 7, 2);
    }
  }
}
