package mario;

import java.awt.*;

public class TimeUpMode implements IMode {

  public Main main;
  public Graphics g;
  public int delay = 2 * 60;

  public TimeUpMode() {
    main = Main.main;
    g = main.g;
  }

  @Override
  public void init() {
  }

  @Override
  public void update() {
    if (--delay == 0) {
      main.finishedTimeUpMode();
    }
  }

  @Override
  public void render() {
    g.setColor(Color.BLACK);
    g.fillRect(0, 0, 512, 480);
    g.setColor(Color.WHITE);
    Text.drawString(192, 256, "TIME UP");
  }
}
