package mario;

import java.awt.*;

public class Toad extends WorldObject {

  public Color color;

  public Toad(int mapX, int mapY, boolean peach) {
    this.fx = this.x = mapX << 5;
    this.fy = this.y = mapY << 5;
    color = peach ? Palette.PEACH : Palette.TOAD;
  }

  @Override
  public void update() {
  }

  @Override
  public void render() {
    g.setColor(color);
    g.translate(x - playingMode.cameraX, y + 16);
    g.drawOval(2, 0, 27, 17);
    g.drawLine(15, 18, 15, 33);
    g.drawLine(16, 18, 16, 33);
    g.drawLine(15, 32, 0, 47);
    g.drawLine(16, 32, 31, 47);
    g.drawLine(15, 20, 0, 30);
    g.drawLine(16, 20, 31, 30);
    g.translate(playingMode.cameraX - x, -(y + 16));
  }

}
