package mario;

import java.awt.*;

public class UpsideDownDeadBloober extends WorldObject {

  public UpsideDownDeadBloober(int x, int y, float vx) {
    this.fx = this.x = x;
    this.fy = this.y = y;
    this.vx = vx;
    this.vy = -8;
  }

  public void update() {
    fx += vx;
    x = (int)fx;
    vy += G;
    fy += vy;
    if (fy > 512) {
      remove = true;
    }
    y = (int)fy;
  }

  public void render() {
    g.setColor(Color.WHITE);
    g.translate(x - playingMode.cameraX, y);
    g.drawLine(12, 47, 0, 35);
    g.drawLine(19, 47, 31, 35);
    g.drawLine(13, 47, 18, 47);
    g.drawLine(14, 47, 5, 35);
    g.drawLine(17, 47, 26, 35);
    g.drawLine(0, 35, 31, 35);
    g.drawLine(5, 34, 5, 22);
    g.drawLine(26, 34, 26, 22);
    g.drawLine(2, 21, 29, 21);
    g.drawLine(7, 2, 7, 20);
    g.drawLine(24, 2, 24, 20);
    g.drawLine(13, 0, 13, 20);
    g.drawLine(18, 0, 18, 20);
    g.translate(playingMode.cameraX - x, -y);
  }
}
