package mario;

public class UpsideDownDeadBulletBill extends WorldObject {

  public UpsideDownDeadBulletBill(int x, int y, float vx) {
    this.fx = this.x = x;
    this.fy = this.y = y;
    this.vx = vx;
    this.vy = -4;
  }

  public void update() {
    fx += vx;
    x = (int)fx;
    vy += G;
    fy += vy;
    if (fy > 512) {
      remove = true;
    }
    y = (int)fy;
  }

  public void render() {
    g.setColor(Palette.TURTLE_CANNON);
    g.translate(x - playingMode.cameraX, y);
    if (vx < 0) {
      g.drawLine(31, 2, 31, 29);
      g.drawLine(12, 2, 30, 2);
      g.drawLine(12, 29, 30, 29);
      g.drawArc(0, 2, 30, 27, 90, 180);
    } else {
      g.drawLine(0, 2, 0, 29);
      g.drawLine(19, 2, 1, 2);
      g.drawLine(19, 29, 1, 29);
      g.drawArc(1, 2, 30, 27, -90, 180);
    }
    g.translate(playingMode.cameraX - x, -y);
  }
}
