package mario;

import java.awt.*;

public class UpsideDownDeadCheepCheep extends WorldObject {

  public Color color;

  public UpsideDownDeadCheepCheep(int x, int y, float vx, Color color) {
    this.fx = this.x = x;
    this.fy = this.y = y;
    this.vx = vx;
    this.vy = -8;
    this.color = color;
  }

  public void update() {
    fx += vx;
    x = (int)fx;
    vy += G;
    fy += vy;
    if (fy > 512) {
      remove = true;
    }
    y = (int)fy;
  }

  public void render() {
    g.translate(x - playingMode.cameraX, y);
    g.setColor(color);
    g.drawOval(0, 0, 21, 31);
    g.drawLine(22, 15, 31, 4);
    g.drawLine(22, 16, 31, 27);
    g.drawLine(31, 4, 31, 27);
    g.translate(playingMode.cameraX - x, -y);
  }
}
