package mario;

public class UpsideDownDeadGoomba extends WorldObject {

  public UpsideDownDeadGoomba(int x, int y, float vx) {
    this.fx = this.x = x;
    this.fy = this.y = y;
    this.vx = vx;
    this.vy = -8;
  }

  public void update() {
    fx += vx;
    x = (int)fx;
    vy += G;
    fy += vy;
    if (fy > 512) {
      remove = true;
    }
    y = (int)fy;
  }

  public void render() {
    g.translate(x - playingMode.cameraX, y);
    g.setColor(Palette.GOOMBA_BOTTOM);
    g.drawRect(8, 0, 15, 10);
    g.setColor(Palette.GOOMBA_TOP);
    g.drawArc(0, 6, 31, 25, 0, -225);
    g.drawArc(0, 6, 31, 25, 0, 45);
    g.drawLine(5, 10, 26, 10);
    g.translate(playingMode.cameraX - x, -y);
  }
}
