package mario;

import java.awt.geom.*;
import java.awt.*;

public class UpsideDownDeadHammerBrother extends WorldObject {

  public AffineTransform originalTransform;

  public UpsideDownDeadHammerBrother(int x, int y, float vx) {
    this.fx = this.x = x;
    this.fy = this.y = y;
    this.vx = vx;
    this.vy = -8;

    originalTransform = ((Graphics2D)g).getTransform();
  }

  public void update() {
    fx += vx;
    x = (int)fx;
    vy += G;
    fy += vy;
    if (fy > 512) {
      remove = true;
    }
    y = (int)fy;
  }

  @Override
  public void render() {
    g.setColor(Palette.HAMMER_BROTHER);
    g.translate(x - playingMode.cameraX, y + 16);
    ((Graphics2D)g).rotate(Math.PI, 16, 24);
    g.drawOval(2, 0, 27, 17);
    g.drawLine(15, 18, 15, 33);
    g.drawLine(16, 18, 16, 33);
    g.drawLine(15, 32, 0, 47);
    g.drawLine(16, 32, 31, 47);
    g.drawLine(15, 20, 0, 30);
    g.drawLine(16, 20, 31, 30);
    ((Graphics2D)g).setTransform(originalTransform);
  }
}
