package mario;

public class UpsideDownDeadLakitu extends WorldObject {

  public UpsideDownDeadLakitu(int x, int y, float vx) {
    this.fx = this.x = x;
    this.fy = this.y = y;
    this.vx = vx;
    this.vy = -8;
  }

  public void update() {
    fx += vx;
    x = (int)fx;
    vy += G;
    fy += vy;
    if (fy > 512) {
      remove = true;
    }
    y = (int)fy;
  }

  public void render() {
    g.setColor(Palette.LAKITU);
    g.translate(x - playingMode.cameraX, y);
    g.drawOval(0, 0, 31, 31);
    g.drawOval(10, 10, 11, 11);
    g.drawRect(0, 0, 31, 31);
    g.translate(playingMode.cameraX - x, -y);
  }
}
