package mario;

import java.awt.*;

public class WarpZoneText extends WorldObject {

  public int type;

  public WarpZoneText(int x, int y, boolean mapCoordinates, int type) {
    if (mapCoordinates) {
      x <<= 5;
      y <<= 5;
    }

    this.fx = this.x = x;
    this.fy = this.y = y;
    this.type = type;
  }

  @Override
  public void update() {
  }

  @Override
  public void render() {
    g.translate(x - playingMode.cameraX, 0);
    g.setColor(Color.WHITE);
    Text.drawString(64, 192, "WELCOME TO WARP ZONE!");
    switch(type) {
      case 0:
        Text.drawString(88, 272, "4");
        Text.drawString(216, 272, "3");
        Text.drawString(344, 272, "2");
        break;
      case 1:
        Text.drawString(88, 272, "8");
        Text.drawString(216, 272, "7");
        Text.drawString(344, 272, "6"); 
        break;
      case 2:
        Text.drawString(216, 272, "5");
        break;
    }
    g.translate(playingMode.cameraX - x, 0);
  }
}
