package mario;

public class WrongWay extends WorldObject {

  public Maze maze;

  public WrongWay(int x, int y, boolean mapCoordinates) {

    if (mapCoordinates) {
      x <<= 5;
      y <<= 5;
    }
    this.fx = this.x = x;
    this.fy = this.y = y;

    mx1 = bx1 = 0;
    my1 = by1 = -48;
    mx2 = bx2 = 31;
    my2 = by2 = 31;

    maze = playingMode.maze;
  }

  @Override
  public void update() {
    if (playingMode.mario.intersects(this)) {
      maze.wentWrongWay();
    }
    if (x + 32 < playingMode.cameraX) {
      remove = true;
      return;
    }
  }

  @Override
  public void render() {
  }
}
