package mario;

public class CrushedDeadGoomba extends WorldObject {

  public static final int MAX_COUNT = 60;

  public int count;

  public CrushedDeadGoomba(int x, int y) {
    this.fx = this.x = x;
    this.fy = this.y = y;    
  }

  public void update() {
    if (++count >= MAX_COUNT) {
      remove = true;
    } 
  }

  public void render() {
    g.translate(x - playingMode.cameraX, y);
    g.setColor(Palette.GOOMBA_BOTTOM);
    g.drawRect(8, 28, 15, 3);
    g.setColor(Palette.GOOMBA_TOP);
    g.drawArc(0, 22, 31, 6, 0, 225);
    g.drawArc(0, 22, 31, 6, 0, -45);
    g.drawLine(5, 28, 26, 28);
    g.translate(playingMode.cameraX - x, -y);
  }
}
