package mario;

public class KeyboardInput implements IInput {

  public Main main;
  public final boolean[] K;
  public final int upKeyCode;
  public final int downKeyCode;
  public final int leftKeyCode;
  public final int rightKeyCode;
  public final int runKeyCode;
  public final int jumpKeyCode;
  public final int pauseKeyCode;
  public final int startKeyCode;

  public KeyboardInput() {
    main = Main.main;
    K = main.K;
    upKeyCode = main.upKeyCode;
    downKeyCode = main.downKeyCode;
    leftKeyCode = main.leftKeyCode;
    rightKeyCode = main.rightKeyCode;
    runKeyCode = main.runKeyCode;
    jumpKeyCode = main.jumpKeyCode;
    pauseKeyCode = main.pauseKeyCode;
    startKeyCode = main.startKeyCode;
  }

  public boolean isUp() {
    return K[upKeyCode];
  }

  public boolean isDown() {
    return K[downKeyCode];
  }

  public boolean isLeft() {
    return K[leftKeyCode];
  }

  public boolean isRight() {
    return K[rightKeyCode];
  }

  public boolean isRun() {
    return K[runKeyCode];
  }

  public boolean isJump() {
    return K[jumpKeyCode];
  }

  public boolean isPause() {
    return K[pauseKeyCode];
  }

  public boolean isStart() {
    return K[startKeyCode];
  }

  public boolean hasNext() {
    return true;
  }
}
