package mario;

import java.awt.geom.*;
import java.awt.*;

public class UpsideDownDeadBowser extends WorldObject {

  public AffineTransform originalTransform;

  public UpsideDownDeadBowser(int x, int y, float vx, float vy) {
    this.fx = this.x = x;
    this.fy = this.y = y;
    this.vx = vx;
    this.vy = vy;

    originalTransform = ((Graphics2D)g).getTransform();
  }

  public void update() {
    fx += vx;
    x = (int)fx;
    vy += G;
    fy += vy;
    if (fy > 512) {
      remove = true;
    }
    y = (int)fy;
  }

  public void render() {
    g.setColor(Palette.BOWSER);
    g.translate(x - playingMode.cameraX, y);
    ((Graphics2D)g).rotate(Math.PI, 32, 32);
    g.drawOval(2, 0, 59, 23);
    g.drawLine(31, 24, 31, 44);
    g.drawLine(32, 24, 32, 44);
    g.drawLine(31, 44, 0, 63);
    g.drawLine(32, 44, 63, 63);
    g.drawLine(31, 27, 0, 41);
    g.drawLine(32, 27, 63, 41);
    ((Graphics2D)g).setTransform(originalTransform);
  }
}

